# Glottolog Languoid Data

Glottolog data related to [languoids](http://glottolog.org/meta/glossary#Languoid) is curated in this directory.
The classification tree is mirrored in the hierarchical directory structure of the `tree` subdirectory, and 
languoid-specific information is kept in text files following the [INI file](https://en.wikipedia.org/wiki/INI_file) format
within the respective directory of the languoid the information pertains to.

## Navigating the languoid tree

To allow easier access to the languoid information files, three index documents are automatically generated:

- [Languages](languages.md)
- [Families](families.md)
- [Dialects](dialects.md)

A better way to navigate through the tree of languoids may be the [Glottolog website](http://glottolog.org), which allows
searching languoids by name, ISO 639-3 code, glottocode, etc. Each languoid detail page on Glottolog links to the
languoid info file in this repository.


## Contributing

### How to request name changes for languoids

You may follow the procedure in the [exemplary pull request 3](https://github.com/clld/glottolog/pull/3) to change a name of a languoid. Alternatively, you may create a pull request through-the-web, following the steps described in [issue #4](https://github.com/clld/glottolog/issues/4).
